
Redmine - Defect #21065

Transition state: wrong visualization & update on MS SqlServer

2015-10-26 11:48 - fabio meoli

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.3

Description

Hi,

when you insert the transition state of a workflow in the "default section", redmine displays this in the "author" and "assignee" (the

contents of the table record workflow seems correct).

Also no longer able to clear the two options. (If I repeat the action on MySql instead MS SQL it's all ok!).

Explanation

Initial Status: only one check is on
 On “save”, the check option are visualized on “author” and “assignee” section, instead on default transition state
 The content of the workflow table on Ms Sql are correct but redmine visualizes the checks on wrong positions:
 Another problem is on uncheck …
 After the “save” the results are the same … nothing are changed; The trace of sqlserver show only “select” and “update” … but no

“delete”.
 Our Environment:

Redmine version                2.6.3.stable

Ruby version                   2.0.0-p643 (2015-02-25) [i386-mingw32]

Rails version                  3.2.21

Environment                    production

Database adapter               SQLServer

 SCM:

Subversion                     1.8.10

Git                            1.9.5

Filesystem

 Redmine plugins:

no plugin installed

 Adapter MS Sql Server
activerecord-sqlserver-adapter   3.2.13

History

#1 - 2015-10-26 12:17 - Toshi MARUYAMA

- Category changed from Administration to Database

#2 - 2015-10-27 09:33 - fabio meoli

Sorry, I resolved.

The error was probably caused by the migration from MySQL to SQL Server 2014 Express.

I repeated migration creating new Sql Server db before, executed the "rake db:migrate RAILS_ENV=production", and then importing the data with

the" SQL Server Import and Export Wizard" from old Sql Server db.

It's work fine now.

Fabio

#3 - 2015-10-27 09:33 - fabio meoli

- Status changed from New to Resolved

#4 - 2015-11-21 06:23 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid
